Stake account information
curl --request GET \
--url https://mainnet.gomaestro-api.org/v1/accounts/{stake_addr} \
--header 'api-key: <api-key>'import requests
url = "https://mainnet.gomaestro-api.org/v1/accounts/{stake_addr}"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://mainnet.gomaestro-api.org/v1/accounts/{stake_addr}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"stake_address": "stake_test1uzq7mcr5mmj2jeqqf5eaxxd4sdzvszqnd26vnz5nvn0mcaqte3ycr",
"registered": true,
"delegated_pool": "pool1egfg26w0syqly9qc65hz33gqv2qrzyka8tfue3ccsk3c73a56jp",
"delegated_drep": "drep1ydvwp8x9j8u4flwjqwxf8jdjwp9p4zf2x4rk7vv7fgzk6j2k7c6",
"rewards_available": 24648659341,
"utxo_balance": 249497357989,
"total_balance": 274146017330,
"total_rewarded": 24648659341,
"total_withdrawn": 0
},
"last_updated": {
"timestamp": "2022-10-10 20:25:28",
"block_hash": "d99c239b6fae8036b3057b6837a563d045ce2a393e17d789d1e85c51bee898fc",
"block_slot": 32265099
}
}Accounts
Stake account information
Get comprehensive information about a Cardano stake account including delegation status and rewards.
GET
/
accounts
/
{stake_addr}
Stake account information
Authorizations
Project API Key
Headers
Large numbers returned as strings if set to true
Path Parameters
Bech32 encoded reward/stake address ('stake1...')
Response
Information about the account
Timestamped response. Returns the endpoint response data along with the chain-tip of the indexer, which details at which point in the chain's history the data was correct as-of.
Was this page helpful?

